import express, { Response, Request } from 'express'
import cors from 'cors'
import handleRoutes from './routes'
import { logErrors, boomErrorHandler, ormErrorHandler, errorHandler } from './helpers/errorHandler'
import { authStrategies } from './utils/auth'

const app = express()

app.use(express.json())
app.use(cors())
authStrategies()

app.get('/', (req: Request, res: Response) => {
    res.send('Welcome to API Inspirationic')
})

handleRoutes(app)

app.use(logErrors)
app.use(boomErrorHandler)
app.use(ormErrorHandler)
app.use(errorHandler)

export default app