import { BaseEntity, Column, CreateDateColumn, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from 'typeorm'
// import { User } from './User'
import { AccountStatus } from '../Common'

@Entity({ name: 'accounts' })
export class Account extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 50, unique:true})
    name: string

    @Column({ type: 'decimal', precision: 10, scale: 2 })
    initialBalance: number

    @Column({ type: 'decimal', precision: 10, scale: 2 })
    availableBalance: number

    @Column({ type: 'enum', enum: AccountStatus, default: AccountStatus.ACTIVE })
    status: AccountStatus

    @CreateDateColumn()
    createdAt: Date

    @UpdateDateColumn()
    updatedAt: Date

    // @ManyToOne(() => User, (user) => user.accounts)
    // user: User
}