import { BaseEntity, Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm'
import { Product } from './Product'

@Entity({ name: 'brands' })
export class Brand extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 100, unique: true })
    name: string

    @OneToMany(() => Product, (product) => product.brand)
    products: Product[]
}