import { BaseEntity, Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm'
import { Subcategory } from './Subcategory'

@Entity({ name: 'categories' })
export class Category extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 100, unique: true })
    name: string

    @Column({ unique: true })
    slug: string

    @OneToMany(() => Subcategory, (subcategory) => subcategory.category, { eager: true, cascade: true })
    subcategories: Subcategory[]
}