import { BaseEntity, Column, CreateDateColumn, Entity, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from 'typeorm'
import { DocumentType } from '../Common'
import { Sale } from './Sale'

@Entity({ name: 'customers' })
export class Customer extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 100 })
    name: string

    @Column({ type: 'enum', enum: DocumentType })
    documentType: string

    @Column({ type: 'varchar', length: 11, unique: true })
    documentNumber: string

    @Column({ type: 'varchar', length: 100, nullable: true })
    address: string

    @Column({ type: 'varchar', length: 9, nullable: true })
    phoneNumber: string

    @Column({ type: 'varchar', length: 50, nullable: true })
    email: string

    @CreateDateColumn()
    createdAt: Date

    @UpdateDateColumn()
    updatedAt: Date

    @OneToMany(() => Sale, (sale) => sale.customer)
    sales: Sale[]
}