import { BaseEntity, Column, CreateDateColumn, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from 'typeorm'
import { Concept } from './Concept'
import { Cashier } from './Cashier'

@Entity({ name: 'expenses' })
export class Expense extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 200 })
    description: string

    @Column({ type: 'decimal', precision: 8, scale: 2 })
    amount: number

    @CreateDateColumn()
    createdAt: Date

    @UpdateDateColumn()
    updatedAt: Date

    @ManyToOne(() => Concept, (concept) => concept.expenses, { nullable: false })
    concept: Concept

    @ManyToOne(() => Cashier, (cashier) => cashier.expenses, { nullable: false })
    cashier: Cashier
}