import { BaseEntity, Column, Entity, ManyToOne, PrimaryColumn } from 'typeorm';
import { Sale } from './Sale';
import { Product } from './Product';

@Entity({ name: 'products_sales' })
export class ProductSale extends BaseEntity {
    @PrimaryColumn()
    productId: number

    @PrimaryColumn()
    saleId: number

    @Column({ type: 'integer' })
    quantity: number

    @Column({ type: 'decimal', precision: 8, scale: 2 })
    unitPrice: number

    @ManyToOne(() => Product, (product) => product.items)
    product: Product

    @ManyToOne(() => Sale, (sale) => sale.items)
    sale: Sale
}
