import { BaseEntity, Column, Entity, ManyToOne, OneToMany, PrimaryGeneratedColumn } from 'typeorm'
import { Category } from './Category'
import { Product } from './Product'

@Entity({ name: 'subcategories' })
export class Subcategory extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 100, unique: true })
    name: string

    @Column({ unique: true })
    slug: string

    @ManyToOne(() => Category, (category) => category.subcategories)
    category: Category

    @OneToMany(() => Product, (product) => product.subcategory)
    products: Product[]
}