import { BaseEntity, Column, CreateDateColumn, Entity, OneToMany, PrimaryGeneratedColumn, UpdateDateColumn } from 'typeorm'
import { Product } from './Product'

@Entity({ name: 'units' })
export class Unit extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 20, unique: true })
    name: string

    @Column({ type: 'varchar', length: 5 })
    abbreviation: string

    @OneToMany(() => Product, (product) => product.unit)
    products: Product[]
}