import { ManyToOne, BaseEntity, Column, CreateDateColumn, Entity, PrimaryGeneratedColumn, UpdateDateColumn, OneToMany } from 'typeorm'
import { Cashier } from './Cashier'
import { UserRoles } from '../Common'

@Entity({ name: 'users' })
export class User extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 20, unique: true })
    username: string

    @Column()
    password: string

    @Column({ type: 'varchar', length: 100 })
    fullname: string

    @Column({ default: true })
    active: boolean

    @Column({ type: 'enum', enum: UserRoles })
    role: string

    @CreateDateColumn()
    createdAt: Date

    @UpdateDateColumn()
    updatedAt: Date

    // @ManyToOne(() => Role, (role) => role.users, { eager: true })
    // role: Role

    @OneToMany(() => Cashier, (cashier) => cashier.user)
    cashiers: Cashier[]
}