import { MigrationInterface, QueryRunner } from "typeorm"

export class BIProductSaleTrigger1719885850335 implements MigrationInterface {

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            CREATE OR REPLACE FUNCTION products_decrement_stock() RETURNS TRIGGER
            AS
            $$
            BEGIN
                UPDATE products SET stock=stock-new.quantity WHERE id=new.product_id;
                RETURN NEW;
            END
            $$ 
            LANGUAGE plpgsql;
            CREATE TRIGGER BI_products_sales AFTER INSERT 
            ON products_sales FOR EACH ROW
            EXECUTE PROCEDURE products_decrement_stock();`
        )
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
    }

}
