import boom from '@hapi/boom'
import { NextFunction, Request, Response } from 'express'


export const checkRoles = (...roles: any[]) => {
    return (req: Request, res: Response, next: NextFunction) => {
        const user: any = req.user
        let hasRole = false
        if (roles.includes(user.role)) {
            hasRole = true
        }
        
        if (hasRole) {
            next();
        } else {
            next(boom.forbidden('No tienes permisos suficientes'));
        }
    }
}