import * as dotenv from 'dotenv'

dotenv.config();

export const APP_CONFIG = {
    env: process.env.NODE_ENV || 'development',
    port: Number(process.env.PORT) || 3000
}

export const DB_CONFIG = {
    username: process.env.DB_USERNAME,
    password: process.env.DB_PASSWORD,
    host: process.env.DB_HOST || 'localhost',
    database: process.env.DB_NAME,
    port: Number(process.env.DB_PORT) || 5432,
    synchronize: process.env.DB_SYNCHRONIZE === 'false' ? false : true,
    logging: process.env.DB_LOGGING === 'false' ? false : true,
    poolSize: Number(process.env.DB_POOL_SIZE) || 10,
    maxQueryExecutionTime: Number(process.env.DB_MAX_QUERY_EXECUTION_TIME) || 10000,
}

export const SECRET_KEY_WORD = process.env.SECRET_KEY_WORD || 'a7ee030a-bb1c-460c-96de-d4c6cef5ad9a'
export const TOKEN_EXPIRATION = Number(process.env.TOKEN_EXPIRATION) || 5