import boom from '@hapi/boom'
import { sign } from 'jsonwebtoken'
import bcrypt from 'bcryptjs'
import { getUserByUsername } from '../users/userController'
import { SECRET_KEY_WORD } from '@/helpers/parametersHandler'



export const signToken = (user: any) => {
    const payload = {
        sub: user.id,
        username: user.username,
        fullname: user.fullname,
        role: user.role
    }
    const token = sign(payload, SECRET_KEY_WORD);
    
    return {
        user,
        token
    };
}

export const verifyUser = async (username: string, password: string) => {
    const user = await getUserByUsername(username)

    const isMatch = await bcrypt.compare(password, user.password)

    if (!isMatch) {
        throw boom.unauthorized('Credenciales incorrectas')
    }

    delete user.password
    return user
}