import { z as Zod } from "zod"

export const signInUserSchema = Zod.object({
    username: Zod.string({
        required_error: 'Nombre usuario es requerido',
        invalid_type_error: 'Nombre usuario debe ser texto'
    }),
    password: Zod.string({
        required_error: 'Contraseña es requerida!',
        invalid_type_error: 'Contraseña debe ser texto!'
    })
})

export type SignInUserOptions = Zod.infer<typeof signInUserSchema>