import { z as Zod } from 'zod'

const name = Zod.string({
    required_error: 'Nombre es requerido',
    invalid_type_error: 'Nombre debe ser texto'
})
    .min(2, { message: 'Nombre demasiado corto' })
    .max(100, { message: 'Nombre demasiado largo' })

export const createBrandSchema = Zod.object({
    name
})

export const updateBrandSchema = Zod.object({
    name: name.optional()
})

export type CreateBrandOptions = Zod.infer<typeof createBrandSchema>
export type UpdateBrandOptions = Zod.infer<typeof updateBrandSchema>