import { z as Zod } from 'zod'

const initialBalance = Zod.number({
    required_error: 'Balance inicial es requerido',
    invalid_type_error: 'Balance inicial debe ser numero'
})
    .positive({ message: 'Balance inicial debe ser positivo' })

// const openingDatetime = Zod.date({
//     required_error: 'Fecha de apertura es requerido',
//     invalid_type_error: 'Fecha de apertura debe ser fecha'
// })

const closingDatetime = Zod.date({
    required_error: 'Fecha de cierre es requerido',
    invalid_type_error: 'Fecha de cierre debe ser fecha'
})

const unbalance = Zod.number({
    required_error: 'El desbalance es requerido',
    invalid_type_error: 'El desbalance debe ser numero'
})
    .nonnegative({ message: 'El desbalance no puede ser negativo' })

const observation = Zod.string({
    required_error:'La observacion es obligatioria',
    invalid_type_error: 'La observacion de ser cadena'
})

const userId = Zod.number({
    required_error: 'User ID es requerido',
    invalid_type_error: 'User ID debe ser número'
})

export const openCashierSchema = Zod.object({
    initialBalance,
    userId
})

export const closeCashierSchema = Zod.object({
    closingDatetime,
    unbalance,
    observation: observation.optional()
})

export type CreateCashierOptions = Zod.infer<typeof openCashierSchema>
export type CloseCashierOptions = Zod.infer<typeof closeCashierSchema>