import { z as Zod } from 'zod'

const name = Zod.string({
    required_error: 'Nombre es requerido',
    invalid_type_error: 'Nombre debe ser texto'
})
    .min(4, { message: 'Nombre demasiado corto' })
    .max(100, { message: 'Nombre demasiado largo' })

export const createCategorySchema = Zod.object({
    name
})

export const updateCategorySchema = Zod.object({
    name: name.optional()
})

export type CreateCategoryOptions = Zod.infer<typeof createCategorySchema>
export type UpdateCategoryOptions = Zod.infer<typeof updateCategorySchema>