import { z as Zod } from 'zod'

const name = Zod.string({
    required_error: 'Nombre es requerido',
    invalid_type_error: 'Nombre debe ser texto'
})
    .min(2, { message: 'Nombre demasiado corto' })
    .max(100, { message: 'Nombre demasiado largo' })

export const createConceptSchema = Zod.object({
    name
})

export const updateConceptSchema = Zod.object({
    name: name.optional()
})

export type CreateConceptOptions = Zod.infer<typeof createConceptSchema>
export type UpdateConceptOptions = Zod.infer<typeof updateConceptSchema>