import { FindManyOptions, ILike } from 'typeorm'
import boom from '@hapi/boom'
import { Config } from '@/db/entities/Config'
// import { CreateBrandOptions, UpdateBrandOptions } from './brandSchema'
import { QueryCommonOptions } from '@/utils/commonSchema'
import { InvoceTypes } from '@/db/Common'


export const getConfig = async () => {
    const config = await Config.findOneBy({ id: 1 })

    if (!config) {
        throw boom.badData('No existe la configuración')
    }

    return config
}

export const getUpdateConfig = async (invoceType: string) => {
    const config = await getConfig()
    const prefix = '0'
    let counterStr
    let prefixLength

    switch (invoceType) {
        case InvoceTypes.BOLETA:
            counterStr = config.boletaNumberCounter.toString()
            prefixLength = config.boletaNumberLength - counterStr.length
            config.boletaNumberCounter = config.boletaNumberCounter + 1
            await config.save()
            break
        case InvoceTypes.FACTURA:
            counterStr = config.facturaNumberCounter.toString()
            prefixLength = config.facturaNumberLength - counterStr.length
            config.facturaNumberCounter = config.facturaNumberCounter + 1
            await config.save()
            break
        case InvoceTypes.TICKET:
            counterStr = config.ticketNumberCounter.toString()
            prefixLength = config.ticketNumberLength - counterStr.length
            config.ticketNumberCounter = config.ticketNumberCounter + 1
            await config.save()
            break
        default:
            counterStr = "1"
            prefixLength = 5
    }

    return prefix.repeat(prefixLength) + counterStr
}

// export const createBrand = async (data: CreateBrandOptions) => {
//     const { name } = data
//     const brand = new Brand()

//     brand.name = name

//     await brand.save()

//     if (!brand) {
//         throw boom.badData('No se puede crear la marca')
//     }

//     return brand
// }

// export const updateCategoty = async (id: number, changes: UpdateBrandOptions) => {
//     const { name } = changes
//     const brand = await getBrand(id)
//     brand.name = name

//     await brand.save()

//     if (!brand) {
//         throw boom.badData('No se puede actualizar la marca')
//     }

//     return brand
// }