import { z as Zod } from 'zod'

const name = Zod.string({
    required_error: 'Nombre es requerido',
    invalid_type_error: 'Nombre debe ser texto'
})
    .min(4, { message: 'Nombre demasiado corto' })
    .max(100, { message: 'Nombre demasiado largo' })

const categoryId = Zod.number({
    required_error: ' Category ID es requerido',
    invalid_type_error: 'Category ID debe ser número'
})

export const createSubcategorySchema = Zod.object({
    name,
    categoryId
})

export const updateSubcategorySchema = Zod.object({
    name: name.optional(),
    categoryId: categoryId.optional()
})

export type CreateSubcategoryOptions = Zod.infer<typeof createSubcategorySchema>
export type UpdateSubcategoryOptions = Zod.infer<typeof updateSubcategorySchema>