import { Router, Request, Response, NextFunction } from 'express'
import { getUnits } from './unitController'
import { success } from '@/helpers/responseHandler'

const router = Router()

router.get('/',
    async (req: Request, res: Response, next: NextFunction) => {
        try {
            const units = await getUnits()
            success(res, units)
        } catch (error) {
            next(error)
        }
    }
)

export default router