import { Strategy, ExtractJwt, StrategyOptions } from 'passport-jwt'
import { SECRET_KEY_WORD } from '@/helpers/parametersHandler'

interface JwtPayload {
    sub: number,
    role: string
}

const options: StrategyOptions = {
    jwtFromRequest: ExtractJwt.fromAuthHeaderAsBearerToken(),
    secretOrKey: SECRET_KEY_WORD
}

export const JwtStrategy = new Strategy(options, async (payload: JwtPayload, done) => {
    try {
        done(null, payload)
    } catch (err) {
        done(err, false);
    }
});