import { Strategy, VerifyFunction } from 'passport-local'
import { verifyUser } from '@/modules/auth/authController'

interface LocalStrategyOptions {
    usernameField: string;
    passwordField: string;
}

export const LocalStrategy = new Strategy(
    {
        usernameField: 'username',
        passwordField: 'password'
    } as LocalStrategyOptions,
    async (username: string, password: string, done) => {
        try {
            const { id, role, fullname } = await verifyUser(username, password)
            done(null, { id, username, fullname, role })
        } catch (error) {
            done(error, false);
        }
    }
)