import { z as Zod } from 'zod'

const id = Zod.number({
    required_error: 'ID es requerido',
    invalid_type_error: 'ID debe ser número'
})

const skip = Zod.number({
    invalid_type_error: 'Skip debe ser número'
}).nonnegative()

const take = Zod.number({
    invalid_type_error: 'Take debe ser número'
}).positive()

const search = Zod.string()
const sortKey = Zod.string()
const sortOrder = Zod.string()

export const paramsCommonSchema = Zod.object({
    id
})

export const queryCommonSchema = Zod.object({
    skip: skip.optional(),
    take: take.optional(),
    search: search.optional(),
    sortKey: sortKey.optional(),
    sortOrder: sortOrder.optional()
})

export type QueryCommonOptions = Zod.infer<typeof queryCommonSchema>